Debian Bug report logs - #447207
openoffice.org-impress: should have multiple-display support

version graph

Package: openoffice.org-impress; Maintainer for openoffice.org-impress is Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>; Source for openoffice.org-impress is src:openoffice.org.

Reported by: Russell Coker <russell@coker.com.au>

Date: Thu, 18 Oct 2007 23:12:02 UTC

Severity: wishlist

Found in versions openoffice.org/2.0.4.dfsg.2-7etch2, openoffice.org/2.0.4.dfsg.2-3

Fixed in version 2.1~m190-1

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://www.openoffice.org/issues/show_bug.cgi?id=12719

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#447207; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openoffice.org-impress: should have multiple-display support
Date: Fri, 19 Oct 2007 09:10:42 +1000
Package: openoffice.org-impress
Version: 2.0.4.dfsg.2-7etch2
Severity: wishlist


I believe that an ideal presentation program would support multiple X displays,
then when used on a laptop that supports the external VGA connector as a
second display it could have a full-screen display on the external VGA (for
the audience) and a windowed display on the internal video for the speaker.
Ideally this would also allow the speaker to see notes attached to each slide
that are not visible on the version that the audience sees.

I believe that such features would have the potential to make a noticable
improvement in lecture quality for most speakers.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#447207; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 447207@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Russell Coker <russell@coker.com.au>, 447207@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#447207: openoffice.org-impress: should have multiple-display support
Date: Fri, 19 Oct 2007 10:00:09 +0200
[Message part 1 (text/plain, inline)]
forwarded 447207 http://www.openoffice.org/issues/show_bug.cgi?id=12719
close 447207 2.1~m190-1
# branch point for the 2.1 packages
found 447207 2.0.4.dfsg.2-3
thanks

Hi,

Russell Coker wrote:
> I believe that an ideal presentation program would support multiple X displays,

And I believe an ideal bugreport for requesting a feature would be against sid,
given that etch is old.  ;-)

> then when used on a laptop that supports the external VGA connector as a
> second display it could have a full-screen display on the external VGA (for
> the audience) and a windowed display on the internal video for the speaker.
> Ideally this would also allow the speaker to see notes attached to each slide
> that are not visible on the version that the audience sees.
> 
> I believe that such features would have the potential to make a noticable
> improvement in lecture quality for most speakers.

AFAIS, this is already partly done:
http://wiki.services.openoffice.org/wiki/Impress_simple_multiple_display_specification
http://www.openoffice.org/issues/show_bug.cgi?id=12719
http://www.openoffice.org/issues/show_bug.cgi?id=67721
(fixed in 2.1)

But controlling the presentation on the external display is not done
yet:
http://wiki.services.openoffice.org/wiki/Impress_presenter_mode_specification
http://www.openoffice.org/issues/show_bug.cgi?id=18486

As this bugreport has a title/emphazation for multi-diplay support and not
for the controlling I close this.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://www.openoffice.org/issues/show_bug.cgi?id=12719. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 08:03:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.1~m190-1, send any further explanations to Russell Coker <russell@coker.com.au> Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 08:03:05 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.0.4.dfsg.2-3. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 08:03:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Nov 2007 07:25:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:18:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.